openstack-debian-images (1.87) unstable; urgency=medium

  * amphora-build-hook: do not use apt-key.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jun 2025 13:30:42 +0200

openstack-debian-images (1.86) unstable; urgency=medium

  * Fix debian release numbers.
  * Set --unit=0 in /etc/default/grub if ttyS0 is specified as serial console.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 16:49:55 +0200

openstack-debian-images (1.85) unstable; urgency=medium

  * Add support to build i386 images. Build them with something like this:
    build-openstack-debian-image -r bookworm -u http://deb.debian.org/debian \
      -s http://deb.debian.org/debian --security-mirror \
       http://security.debian.org/debian-security -a i386 --extra-packages \
       initramfs-tools
  * Install frr-pythontools if frr is installed.
  * Install zstd by default.
  * With system older than bullseye (like Stretch or Buster), rename network
    interfaces using an udev rule, rather than /etc/systemd/network.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 May 2024 09:15:35 +0200

openstack-debian-images (1.84) unstable; urgency=medium

  * Use --newer-qemu when building Octavia image.
  * Add a --force-frr option.
  * Add further option to the --force-frr thingy.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 09:00:30 +0200

openstack-debian-images (1.82) unstable; urgency=medium

  * Octavia image: double-guess Debian suite and OpenStack release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jan 2024 07:56:20 +0100

openstack-debian-images (1.81) unstable; urgency=medium

  * Add dependency on lsb-release, so the example amphora script can use
    lsb_release to know on which suite to build.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jan 2024 07:39:05 +0100

openstack-debian-images (1.80) unstable; urgency=medium

  * [c3a6a01] correctly setup network with VLAN + OVS bridge on a single
    interface.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jan 2024 09:15:17 +0100

openstack-debian-images (1.79) unstable; urgency=medium

  * [28c67fb] build-openstack-debian-image: rename network interface if their
    name + name of vlan is greater than 16 chars, which is the kernel limit for
    NIC names.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jan 2024 14:26:54 +0100

openstack-debian-images (1.78) unstable; urgency=medium

  * [c76ed59] Bugfix: correctly setup BGP network interface in frr.conf
    (without a dot) if no VLAN.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Jan 2024 13:02:44 +0100

openstack-debian-images (1.77) unstable; urgency=medium

  * [e626c58] auto-detect arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Dec 2023 17:00:25 +0100

openstack-debian-images (1.76) unstable; urgency=medium

  * [09dc958] Implements iommu=pt on AMD CPUs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Nov 2023 11:19:58 +0100

openstack-debian-images (1.75) unstable; urgency=medium

  [ Jim Scadden ]
  * [68b8259] Failure when setting up RAID on NVMe drives (Closes: #1054604).
  * [6563dd4] Support custom repository package signing key (Closes: #1028393).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Nov 2023 09:53:43 +0100

openstack-debian-images (1.74) unstable; urgency=medium

  * openstack-debian-images-updater: delete all images with name
    manila-service-image before updating the Manila image, not just one single
    image, as there may be more than one installed.
  * Correctly use /dev/nvme0n1 instead of nvme0 when installing on NVMe.
  * Always setup both ttyS0 and ttyS1 getty.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 10:43:29 +0100

openstack-debian-images (1.73) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + openstack-debian-images-build-farm: Replace dependency on transitional
      package gnupg2 with replacement gnupg (>= 2.2.12-1+deb10u2) in Depends.

  [ Thomas Goirand ]
  * Bookworm and up: add non-free-firmware repo when passed the
    --install-nonfree-repo param.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Jan 2023 11:39:57 +0100

openstack-debian-images (1.72) unstable; urgency=medium

  * Fix partition sellection when installing with RAID.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Dec 2022 14:07:20 +0100

openstack-debian-images (1.71) unstable; urgency=medium

  * Add forky as possible release.
  * Also support installing on NVMe drives (support "p1 / p2" partition names).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 15:02:04 +0200

openstack-debian-images (1.70) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 11:53:26 +0200

openstack-debian-images (1.69) unstable; urgency=medium

  * Add secure boot support if using UEFI.
  * Add support for UEFI + software raid.
  * Do not write udev rules for persistent network names in /etc/udev/rules.d,
    as this doesn't work with newer kernels.
  * Do not set biosdevname=0 net.ifnames=0 in grub.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2022 16:55:28 +0200

openstack-debian-images (1.68) unstable; urgency=medium
  
  [ Thomas Goirand ]
  * Also handle building rescue image.
  * Fixed writing udev rules to disk.

  [ Kevin Allioli ]
  * Add --editor option.
  * Add --default-editor option.
  * Add xfsprogs in rescue mode.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 10:22:10 +0100

openstack-debian-images (1.67) unstable; urgency=medium

  * Allow partprobe to fail, as it may return non-zero if there's a read-only
    cdrom device in /dev/sr0.
  * Add a new type=forcebrexmac,brexmacaddr=MACADDR to allow setting-up
    OpenStack within OpenStack VMs with port-security enabled. This way, the
    bridge can be set with the eth0 MAC, making connectivity possible.
  * Also include /etc/network/interfaces.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Dec 2021 11:40:00 +0100

openstack-debian-images (1.66) unstable; urgency=medium

  * Add rudimentary Trove image support.
  * Set GRUB_TERMINAL="console serial" not just serial when given the option to
    setup the console on serial.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Nov 2021 11:09:29 +0100

openstack-debian-images (1.65) unstable; urgency=medium

  * Always install the -backports repository, and add a new option to install
    the kernel from it (ie: --kernel-from-backports).
  * openstack-debian-images-updater: now supports Manila images.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Oct 2021 11:47:58 +0200

openstack-debian-images (1.64) unstable; urgency=medium

  * Add support for building Manila images.
  * Add an option to not convert to a qcow2 image at end of build.
  * Do not write udev rule for a bunch of NIC names.
  * Check all scripts with "sh -n" at package build time.
  * Add echo 10000 >/proc/sys/dev/raid/speed_limit_max if we're setting-up on
    RAID to speed-up OS installation.
  * Increase the EFI partition size to nearly 2GB.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Jun 2021 13:01:11 +0200

openstack-debian-images (1.63) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools.
  * override_dh_fixperms: -> override_dh_fixperms-indep:.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 May 2021 12:32:48 +0200

openstack-debian-images (1.62) experimental; urgency=medium

  * Add support for retrieving credentials in Hashicorp vault.
  * Add gnupg2 as dependency for the build-farm.
  * Add a --newer-qemu option.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 May 2021 18:21:37 +0200

openstack-debian-images (1.61) experimental; urgency=medium

  * Update d/copyright years and authors.
  * Transform this package into an OpenStack image build farm, having daily
    check (and updates if needed) for all configured releases of Debian.
  * Allow using bookworm, trixie, unstable, as targets.
  * Switch to the dh sequencer.
  * Added direct support for building and maintaining Octavia images.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Apr 2021 22:28:39 +0200

openstack-debian-images (1.60) unstable; urgency=medium

  * Do not set eth0+eth1 bond-master option if >= bullseye, as this just fails
    to bring up bond0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Apr 2021 11:31:35 +0200

openstack-debian-images (1.59) unstable; urgency=medium

  * Wait 5 seconds after fsck before removing the loop device.
  * Fixed BGP-2-the-host setup:
    - Remove "route-map map-map-leaf-in permit 10" when writing the frr.conf,
      as this breaks the return route with FRR >= 7.
    - Fix s/route-map map-leaf-in out/route-map map-leaf-in in/.
    - Add a lasting "route-map map-leaf-in permit 10".

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 11:35:32 +0200

openstack-debian-images (1.58) unstable; urgency=medium

  * Add cgroupv1 compatibility options on the kernel command line:
    - systemd.unified_cgroup_hierarchy=false
    - systemd.legacy_systemd_cgroup_controller=false
    Without these, Cinder QoS on I/O will fail, as the cgroups v1 sysfs will
    not be mounted.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 16:35:01 +0100

openstack-debian-images (1.57) unstable; urgency=medium

  * Fix gbp network to also understand MTU. This unfortunately is mandatory for
    VM connectivity to work with 1500 as MTU.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Feb 2021 14:41:23 +0100

openstack-debian-images (1.56) unstable; urgency=medium

  * Add delay after creating partitions.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2021 11:01:47 +0100

openstack-debian-images (1.55) unstable; urgency=medium

  * Fix bgp-to-the-host FRR setup from previous version.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2021 16:11:55 +0100

openstack-debian-images (1.54) unstable; urgency=medium

  * Better FRR config for bgp-to-the-host setup, now compatible with FRR 7.x.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2021 13:59:46 +0100

openstack-debian-images (1.53) unstable; urgency=medium

  * Use "auto" instead of "allow-ovs" when interface type is normal.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 22:16:18 +0100

openstack-debian-images (1.52) unstable; urgency=medium

  * Call sync + partprobe after creating partitions, as otherwise, there's a
    race condition for the partition to exist before we format it.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Dec 2020 17:38:05 +0100

openstack-debian-images (1.51) unstable; urgency=medium

  * Fix bashism in security mirrors installation.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2020 09:57:19 +0100

openstack-debian-images (1.50) unstable; urgency=medium

  * Switch to chrony instead of ntp. Set it up after initial bootstrap.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2020 09:12:57 +0100

openstack-debian-images (1.49) unstable; urgency=medium

  * Use "bullseye-security" instead of "bullseye-updates" (Closes: #972744).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 08:32:14 +0100

openstack-debian-images (1.48) unstable; urgency=medium

  * Add an addbgpip option when setting-up BGP-to-the-host, so the script can
    add the VIP ip to localhost.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Sep 2020 10:12:34 +0200

openstack-debian-images (1.47) unstable; urgency=medium

  * Add a --rescue option to enable tweaking of the image so it can be used as
    an OpenStack rescue image.
  * Fix generating interfaces file when using bondvlan with br-ex case.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jun 2020 09:56:50 +0200

openstack-debian-images (1.46) unstable; urgency=medium

  * Add resolvconf if installing cloud-init.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 May 2020 01:42:01 +0200

openstack-debian-images (1.45) unstable; urgency=medium

  * Also create the br-ex interface if setting-up BGP to the host.
  * Add a begining of Manila image in contrib.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 12:01:50 +0200

openstack-debian-images (1.44) unstable; urgency=medium

  * Also configure /etc/systemd/system/logrotate.timer.d/hourly.conf so that
    logrotate starts every hour.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:43:24 +0200

openstack-debian-images (1.43) unstable; urgency=medium

  * Octavia: configure logrotate to run each hours so it can rotate haproxy.log
    more often.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:21:12 +0200

openstack-debian-images (1.42) unstable; urgency=medium

  * Octavia: completely rewrite /etc/logrotate.d/haproxy, also install anacron.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 23:04:13 +0200

openstack-debian-images (1.41) unstable; urgency=medium

  * Fix the sed for haproxy logrotate in contrib/octavia.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Mar 2020 17:44:43 +0100

openstack-debian-images (1.40) unstable; urgency=medium

  * Octavia Amphora:
    - take the debian release from ${BODI_RELEASE} instead of having a config
      value it the hook script itself.
    - Configure haproxy's logrotate to be hourly, rotate 3, because the space
      on HDD for the amphora is typically very small (2G) and with the default
      config, it cannot cope with a lot of traffic.
  * Switch to debhelper-compat = 11 (instead of 9).
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Mar 2020 15:23:55 +0100

openstack-debian-images (1.39) unstable; urgency=medium

  * Fix syntax error in contrib/octavia/amphora-build.
  * Fix default for MIRROR_ADDR in contrib/octavia/amphora-build.
  * Add a network type=bgp, so that the server can be setup with unnumbered
    ipv6 link local BGP to the host, with VLAN and ECMP, using FRR.
  * Fix-up amphorae build in contrib/octavia.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Mar 2020 12:55:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openstack-debian-images`.
